﻿@{
    ViewBag.Title = "About";
}
<h2>@ViewBag.Title.</h2>
<h3>Rich Heritage</h3>

<p>
    Our journey started way back in 1950’s. Our founder Shri. Ramlal Agarwal was a renowned expert in identification and collection of herbs. He was fascinated by the ancient Indian system of Ayurvedic medicine. His keen interest in herbs and the love for animals initiated research on how these herbs could be useful in treating animals. This led to the beginning of an exciting chapter of herbal medicines in the Animal Health Care industry. This legacy was continued by his son Shri. R.K. Agarwal by setting up a small scale R&D facility in Bangalore in 1970 , to fuel the rigorous research. We integrated traditional knowledge of herbs and modern science for creating breakthrough products to meet emerging challenges in human and animal health care industry

    As our business started expanding, it fostered the need for a bigger and better research facility. In 1996, our existing R&D center got transformed into best-in-class facility with modern technology and latest lab instruments.
</p>
